int dripCount; // We'll set this later
ArrayList<Drip> dripList;

void setup() {
  size(800, 800);
  
  // Really slow
  frameRate(1);
  
  // Create the list of Drip objects
  dripList = new ArrayList<Drip>();
}

void draw() {
  background(255);
  
  // Choose a random count for each frame
  dripCount = (int)random(1, 20);
  
  // Create a bunch of new drips
  for (int i = 0; i < dripCount; i++) {
    dripList.add(new Drip());
  }
  
  // Now paint each drip
  for (int i = 0; i < dripCount; i++) {
    Drip d = dripList.get(i);
    d.paint();
  }
}
